org.apache.tinkerpop.gremlin.driver.ser

## Interface MessageTextSerializer<M>

- All Superinterfaces:
    MessageSerializer<M>
  All Known Implementing Classes:
    GraphSONMessageSerializerV1d0, GraphSONMessageSerializerV2d0, GraphSONMessageSerializerV3d0

      public interface MessageTextSerializer<M>
      extends MessageSerializer<M>

  An extension to the MessageSerializer interface that allows a format to be compatible with text-based websocket messages. This interface is for internal purposes only. Implementers who have mapper serialization needs should NOT implement this interface as it will not be used. Gremlin Server only supports plain JSON for text-based requests.
  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Field Summary

    - ### Fields inherited from interface org.apache.tinkerpop.gremlin.driver.MessageSerializer

      `logger`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `RequestMessage` | `deserializeRequest(String msg)` Deserialize a Netty `ByteBuf` into a `RequestMessage`.
    `ResponseMessage` | `deserializeResponse(String msg)` Deserialize a Netty `ByteBuf` into a `ResponseMessage`.
    `String` | `serializeRequestAsString(RequestMessage requestMessage)`
    `String` | `serializeResponseAsString(ResponseMessage responseMessage)`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.driver.MessageSerializer

      `configure, getMapper, mimeTypesSupported, serializeRequestAsBinary, serializeResponseAsBinary`

- - ### Method Detail

    - #### serializeResponseAsString

          String serializeResponseAsString(ResponseMessage responseMessage)
                                    throws SerializationException

      Throws:
        `SerializationException`

    - #### serializeRequestAsString

          String serializeRequestAsString(RequestMessage requestMessage)
                                   throws SerializationException

      Throws:
        `SerializationException`

    - #### deserializeRequest

          RequestMessage deserializeRequest(String msg)
                                     throws SerializationException

      Description copied from interface: `MessageSerializer`
      Deserialize a Netty `ByteBuf` into a `RequestMessage`.
      Specified by:
        `deserializeRequest` in interface `MessageSerializer<M>`
      Throws:
        `SerializationException`

    - #### deserializeResponse

          ResponseMessage deserializeResponse(String msg)
                                       throws SerializationException

      Description copied from interface: `MessageSerializer`
      Deserialize a Netty `ByteBuf` into a `ResponseMessage`.
      Specified by:
        `deserializeResponse` in interface `MessageSerializer<M>`
      Throws:
        `SerializationException`

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.